# Uses of Class
org.xnio.channels.FixedLengthStreamSinkChannel

Packages that use FixedLengthStreamSinkChannel
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of FixedLengthStreamSinkChannel in org.xnio.channels

Methods in org.xnio.channels that return types with arguments of type FixedLengthStreamSinkChannel
Modifier and Type
Method
Description
`ChannelListener<? super FixedLengthStreamSinkChannel>`
FixedLengthStreamSinkChannel.`getCloseListener()`
`ChannelListener.Setter<FixedLengthStreamSinkChannel>`
FixedLengthStreamSinkChannel.`getCloseSetter()`
`ChannelListener<? super FixedLengthStreamSinkChannel>`
FixedLengthStreamSinkChannel.`getWriteListener()`
`ChannelListener.Setter<FixedLengthStreamSinkChannel>`
FixedLengthStreamSinkChannel.`getWriteSetter()`
Method parameters in org.xnio.channels with type arguments of type FixedLengthStreamSinkChannel
Modifier and Type
Method
Description
`void`
FixedLengthStreamSinkChannel.`setCloseListener(ChannelListener<? super FixedLengthStreamSinkChannel> listener)`
`void`
FixedLengthStreamSinkChannel.`setWriteListener(ChannelListener<? super FixedLengthStreamSinkChannel> listener)`
Constructor parameters in org.xnio.channels with type arguments of type FixedLengthStreamSinkChannel
Modifier
Constructor
Description
``
`FixedLengthStreamSinkChannel(StreamSinkChannel delegate, long contentLength, boolean configurable, boolean propagateClose, ChannelListener<? super FixedLengthStreamSinkChannel> finishListener, Object guard)`
Construct a new instance.